%global commit  1c6bb2743599e6eb6f37b2969acc0aef812e32e3
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global sdk_version 1.3.275.0

Name:           spirv-headers
Version:        1.5.5
Release:        3
Summary:        Header files from the SPIR-V registry

License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers
Source0:        %{url}/archive/refs/tags/vulkan-sdk-%{sdk_version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake3
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%package        devel
Summary:        Development files for %{name}

%description    devel
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry fil

%prep
%autosetup -n SPIRV-Headers-vulkan-sdk-%{sdk_version}
chmod a-x include/spirv/1.2/spirv.py


%build
%cmake3 \
        -B build \
        -DCMAKE_INSTALL_PREFIX=/usr
pushd build
%make_build
popd

%install
pushd build
%make_install
popd

%files devel
%license LICENSE
%doc README.md
%{_includedir}/spirv/
%{_datadir}/cmake/SPIRV-Headers/*.cmake
%{_datadir}/pkgconfig/SPIRV-Headers.pc

%changelog
* Fri Mar 08 2024 liweigang <izmirvii@gmail.com> - 1.5.5-3
- update to version vulkan-sdk-1.3.275.0

* Fri May 26 2023 misaka00251 <liuxin@iscas.ac.cn> - 1.5.5-2
- Bump version to a latest commit

* Mon Jul 25 2022 loong_C <loong_c@yeah.net> - 1.5.5-1
- update to 1.5.5

* Thu Dec 16 2021 liqiuyu <liqiuyu@kylinos.cn> - 1.5.1-3
- Remove the release suffix

* Fri Oct 09 2020 Zhiyi Weng <zhiyi@iscas.ac.cn> - 1.5.1-2
- Initial version.
